Registration
Verify Receiver Registration
This endpoint verifies the receiver’s registration by validating the OTP and other verification values provided in the request body. A valid SEP-24 token should be included in the Authorization header of the request.
Verify Receiver Registration
curl --request POST \
--url https://api.example.com/sep24-interactive-deposit/verification \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"phone_number": "<string>",
"otp": "<string>",
"verification": "<string>",
"recaptcha_token": "<string>"
}
'import requests
url = "https://api.example.com/sep24-interactive-deposit/verification"
payload = {
"email": "<string>",
"phone_number": "<string>",
"otp": "<string>",
"verification": "<string>",
"recaptcha_token": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
phone_number: '<string>',
otp: '<string>',
verification: '<string>',
recaptcha_token: '<string>'
})
};
fetch('https://api.example.com/sep24-interactive-deposit/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/sep24-interactive-deposit/verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'phone_number' => '<string>',
'otp' => '<string>',
'verification' => '<string>',
'recaptcha_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/sep24-interactive-deposit/verification"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/sep24-interactive-deposit/verification")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/sep24-interactive-deposit/verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "ok"
}{
"error": "<string>",
"extras": {}
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}Authorizations
Authorization header containing a SEP-24 JWT (Bearer {token}).
Body
application/json
Verification data including phone_number/email, OTP, verification value, and reCAPTCHA token
Email associated with the receiver in the SDP database. Either phone_number or email is required.
Phone number associated with the receiver in the SDP database. Either phone_number or email is required.
One-Time Password received for verification
Verification value provided by the user
Available options:
DATE_OF_BIRTH, YEAR_MONTH, PIN, NATIONAL_ID_NUMBER Token received from Google reCAPTCHA
Response
Verification successful
Example:
"ok"
Verify Receiver Registration
curl --request POST \
--url https://api.example.com/sep24-interactive-deposit/verification \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"phone_number": "<string>",
"otp": "<string>",
"verification": "<string>",
"recaptcha_token": "<string>"
}
'import requests
url = "https://api.example.com/sep24-interactive-deposit/verification"
payload = {
"email": "<string>",
"phone_number": "<string>",
"otp": "<string>",
"verification": "<string>",
"recaptcha_token": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
phone_number: '<string>',
otp: '<string>',
verification: '<string>',
recaptcha_token: '<string>'
})
};
fetch('https://api.example.com/sep24-interactive-deposit/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/sep24-interactive-deposit/verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'phone_number' => '<string>',
'otp' => '<string>',
'verification' => '<string>',
'recaptcha_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/sep24-interactive-deposit/verification"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/sep24-interactive-deposit/verification")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/sep24-interactive-deposit/verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"otp\": \"<string>\",\n \"verification\": \"<string>\",\n \"recaptcha_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "ok"
}{
"error": "<string>",
"extras": {}
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}